Exec(3pm)

NAME
Filter::Util::Exec - exec source filter

SYNOPSIS
    use Filter::Util::Exec;

DESCRIPTION
This module is provides the interface to allow the creation of Source Filters which use a Unix coprocess.

See Filter::exec, Filter::cpp and Filter::sh for examples of the use of this module.

Note that the size of the buffers is limited to 32-bit.

  filter_add()
The function, "filter_add" installs a filter. It takes one parameter which should be a reference. The kind of reference used will dictate which of the two filter types will be used.

If a CODE reference is used then a closure filter will be assumed.

If a CODE reference is not used, a method filter will be assumed. In a method filter, the reference can be used to store context information. The reference will be blessed into the package by "filter_add".

See Filter::Util::Call for examples of using context information using both method filters and closure filters.

AUTHOR
Paul Marquess

DATE
11th December 1995.